Bug 768879 - POSIX rename test are failing intermittently on Distribute-Stripe NFS mount
POSIX rename test are failing intermittently on Distribute-Stripe NFS mount
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: stripe (Show other bugs)
mainline
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-12-19 04:21 EST by shylesh
Modified: 2013-12-08 20:28 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2011-12-19 04:21:48 EST
Description of problem:
posix rename tests are intermittently failing on distribute-stripe volume with NFS mount

Version-Release number of selected component (if applicable):
Mainline
How reproducible:
Intermittent

Steps to Reproduce:
1. Create a distribute-stripe volume
2. run posix tests on the mount point

  
Actual results:
/opt/qa//tools/posix-testsuite/tests/rename/00.t .... 72/79 stat returned -1
/opt/qa//tools/posix-testsuite/tests/rename/../misc.sh: line 101: [: ENOENT: integer expression expected
/opt/qa//tools/posix-testsuite/tests/rename/00.t .... 76/79 lstat returned -1
/opt/qa//tools/posix-testsuite/tests/rename/../misc.sh: line 101: [: ENOENT: integer expression expected
/opt/qa//tools/posix-testsuite/tests/rename/00.t .... Failed 8/79 subtests 


Expected results:
Rename tests should pass

Additional info:
Comment 1 Anand Avati 2012-01-25 05:18:10 EST
CHANGE: http://review.gluster.com/2583 (cluster/dht: handle ENOENT err in rename fop) merged in master by Anand Avati (avati@gluster.com)
Comment 2 shylesh 2012-05-18 06:26:22 EDT
Now POSIX tests are passing on 3.3.0qa41

Note You need to log in before you can comment on or make changes to this bug.